Skip to content
BleemeoBleemeo

Partially update a forecast

PATCH
/v1/forecast/{id}/
curl --request PATCH \
--url https://example.com/v1/forecast/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "configuration": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "failed_at": "2026-04-15T12:00:00Z", "failure_reason": "not_enough_points", "points_collected": 1, "points_expected": 1, "predicted_critical_threshold": "2026-04-15T12:00:00Z", "predicted_shortage": "2026-04-15T12:00:00Z", "predicted_warning_threshold": "2026-04-15T12:00:00Z", "ran_at": "2026-04-15T12:00:00Z", "threshold_critical": 1, "threshold_shortage": 1, "threshold_warning": 1 }'

Update one or more fields of an existing forecast.

id
required
string format: uuid

A UUID string identifying this forecast.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
string format: uuid
configuration
string format: uuid
failed_at
string format: date-time
nullable
failure_reason
  • not_enough_points - Not enough points
  • invalid_response - Invalid response
  • error - Error
string
nullable
Allowed values: not_enough_points invalid_response error ""
id
string format: uuid
modified_at
string format: date-time
points_collected
integer
nullable >= -2147483648 <= 2147483647
points_expected
integer
nullable >= -2147483648 <= 2147483647
predicted_critical_threshold
Predicted critical threshold datetime
string format: date-time
nullable
predicted_shortage
Predicted shortage datetime
string format: date-time
nullable
predicted_warning_threshold
Predicted warning threshold datetime
string format: date-time
nullable
promql_query
string
ran_at
string format: date-time
nullable
threshold_critical
number format: double
nullable
threshold_shortage
number format: double
nullable
threshold_warning
number format: double
nullable
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
configuration
required
string format: uuid
failed_at
string format: date-time
nullable
failure_reason
  • not_enough_points - Not enough points
  • invalid_response - Invalid response
  • error - Error
string
nullable
Allowed values: not_enough_points invalid_response error ""
id
required
string format: uuid
modified_at
required
string format: date-time
points_collected
integer
nullable >= -2147483648 <= 2147483647
points_expected
integer
nullable >= -2147483648 <= 2147483647
predicted_critical_threshold
Predicted critical threshold datetime
string format: date-time
nullable
predicted_shortage
Predicted shortage datetime
string format: date-time
nullable
predicted_warning_threshold
Predicted warning threshold datetime
string format: date-time
nullable
promql_query
required
string
ran_at
string format: date-time
nullable
threshold_critical
number format: double
nullable
threshold_shortage
number format: double
nullable
threshold_warning
number format: double
nullable

Example

{
"failure_reason": "not_enough_points"
}